Upstream information

CVE-2020-11087 at MITRE

Description

In FreeRDP less than or equal to 2.0.0, there is an out-of-bound read in ntlm_read_AuthenticateMessage. This has been fixed in 2.1.0.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

SUSE Bugzilla entry: 1171441 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • freerdp-server >= 2.1.2-10.15.1
  • freerdp-wayland >= 2.1.2-10.15.1
  • libuwac0-0 >= 2.1.2-10.15.1
  • uwac0-0-devel >= 2.1.2-10.15.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-2032
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP2
  • freerdp-server >= 2.1.2-15.7.1
  • freerdp-wayland >= 2.1.2-15.7.1
  • libuwac0-0 >= 2.1.2-15.7.1
  • uwac0-0-devel >= 2.1.2-15.7.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2020-2068
SUSE Linux Enterprise Software Development Kit 12 SP5
  • freerdp-devel >= 2.1.2-12.20.1
  • libfreerdp2 >= 2.1.2-12.20.1
  • libwinpr2 >= 2.1.2-12.20.1
  • winpr2-devel >= 2.1.2-12.20.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2020-2272
SUSE Linux Enterprise Workstation Extension 12 SP5
  • freerdp >= 2.1.2-12.20.1
  • freerdp-proxy >= 2.1.2-12.20.1
  • freerdp-server >= 2.1.2-12.20.1
  • libfreerdp2 >= 2.1.2-12.20.1
  • libwinpr2 >= 2.1.2-12.20.1
  • vinagre >= 3.20.2-16.3.3
  • vinagre-lang >= 3.20.2-16.3.3
Patchnames:
SUSE-SLE-WE-12-SP5-2020-2272
SUSE Linux Enterprise Workstation Extension 15 SP1
  • freerdp >= 2.1.2-10.15.1
  • freerdp-devel >= 2.1.2-10.15.1
  • libfreerdp2 >= 2.1.2-10.15.1
  • libwinpr2 >= 2.1.2-10.15.1
  • winpr2-devel >= 2.1.2-10.15.1
Patchnames:
SUSE-SLE-Product-WE-15-SP1-2020-2032
SUSE Linux Enterprise Workstation Extension 15 SP2
  • freerdp >= 2.1.2-15.7.1
  • freerdp-devel >= 2.1.2-15.7.1
  • libfreerdp2 >= 2.1.2-15.7.1
  • libwinpr2 >= 2.1.2-15.7.1
  • winpr2-devel >= 2.1.2-15.7.1
Patchnames:
SUSE-SLE-Product-WE-15-SP2-2020-2068
openSUSE Leap 15.1
  • freerdp >= 2.1.2-lp151.5.6.1
  • freerdp-devel >= 2.1.2-lp151.5.6.1
  • freerdp-proxy >= 2.1.2-lp151.5.6.1
  • freerdp-server >= 2.1.2-lp151.5.6.1
  • freerdp-wayland >= 2.1.2-lp151.5.6.1
  • libfreerdp2 >= 2.1.2-lp151.5.6.1
  • libuwac0-0 >= 2.1.2-lp151.5.6.1
  • libwinpr2 >= 2.1.2-lp151.5.6.1
  • uwac0-0-devel >= 2.1.2-lp151.5.6.1
  • winpr2-devel >= 2.1.2-lp151.5.6.1
Patchnames:
openSUSE-2020-1090


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Software Development Kit 12 SP4 freerdp Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP5 freerdp Released
SUSE Linux Enterprise Workstation Extension 12 SP4 freerdp Unsupported
SUSE Linux Enterprise Workstation Extension 12 SP5 freerdp Released
SUSE Linux Enterprise Workstation Extension 12 SP5 vinagre Released
SUSE Linux Enterprise Workstation Extension 15 SP1 freerdp Released
SUSE Linux Enterprise Workstation Extension 15 SP2 freerdp Released